package com.ruoyi.dashboard.task.domain;

import java.util.List;

import com.ruoyi.dashboard.index.domain.brief.TaskBriefVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.task.domain.TaskQuery;
import com.ruoyi.bst.task.service.TaskService;
import com.ruoyi.common.vo.StringIntegerVO;

@Service
public class DashboardTaskService {

    @Autowired
    private TaskService taskService;

    public TaskBriefVO selectTaskBrief() {
        List<StringIntegerVO> taskMap = taskService.selectCountGroupByStatus(new TaskQuery());
        return new TaskBriefVO(taskMap);
    }

}
